Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.form.builder.services.model.items
Class TableRepresentation

    java.lang.Object
      org.jbpm.form.builder.services.model.FormItemRepresentation
          org.jbpm.form.builder.services.model.items.TableRepresentation

All Implemented Interfaces:
  Serializable, Mappable

    public class TableRepresentation

extends FormItemRepresentation

See Also:
  Serialized Form

Constructor Summary
`TableRepresentation()`

Method Summary
`boolean` | `equals(Object obj)`
`Integer` | `getBorderWidth()`
`Integer` | `getCellPadding()`
`Integer` | `getCellSpacing()`
`Integer` | `getColumns()`
`Map<String,Object>` | `getDataMap()`
`List<List<FormItemRepresentation>>` | `getElements()`
`Integer` | `getRows()`
`int` | `hashCode()`
`void` | `setBorderWidth(Integer borderWidth)`
`void` | `setCellPadding(Integer cellPadding)`
`void` | `setCellSpacing(Integer cellSpacing)`
`void` | `setColumns(Integer columns)`
`void` | `setDataMap(Map<String,Object> data)`
`void` | `setElement(int rowNumber, int colNumber, FormItemRepresentation subRep)`
`void` | `setRows(Integer rows)`

Methods inherited from class org.jbpm.form.builder.services.model.FormItemRepresentation
`addEffectClass, getEffectClasses, getEventActions, getExternal, getHeight, getInput, getItemValidations, getOutput, getTypeId, getWidth, setEffectClasses, setEventActions, setExternal, setHeight, setInput, setItemValidations, setOutput, setWidth`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableRepresentation

    public TableRepresentation()

Method Detail

### setRows

    public void setRows(Integer rows)

### setColumns

    public void setColumns(Integer columns)

### getBorderWidth

    public Integer getBorderWidth()

### setBorderWidth

    public void setBorderWidth(Integer borderWidth)

### getCellPadding

    public Integer getCellPadding()

### setCellPadding

    public void setCellPadding(Integer cellPadding)

### getCellSpacing

    public Integer getCellSpacing()

### setCellSpacing

    public void setCellSpacing(Integer cellSpacing)

### getElements

    public List<List<FormItemRepresentation>> getElements()

### setElement

    public void setElement(int rowNumber,
                           int colNumber,
                           FormItemRepresentation subRep)

### getRows

    public Integer getRows()

### getColumns

    public Integer getColumns()

### getDataMap

    public Map<String,Object> getDataMap()

  Specified by:
    `getDataMap` in interface `Mappable`
  Overrides:
    `getDataMap` in class `FormItemRepresentation`

### setDataMap

    public void setDataMap(Map<String,Object> data)
                    throws FormEncodingException

  Specified by:
    `setDataMap` in interface `Mappable`
  Overrides:
    `setDataMap` in class `FormItemRepresentation`
  Throws:
    `FormEncodingException`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `FormItemRepresentation`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `FormItemRepresentation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.